Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1044068 - vmHotplugDisk failed with "VolumeError: Bad volume specification"
Summary: vmHotplugDisk failed with "VolumeError: Bad volume specification"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Nir Soffer
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On: 923773
Blocks: 1066413 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-17 18:04 UTC by Nir Soffer
Modified: 2016-02-10 18:51 UTC (History)
15 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Previously, attaching an iSCSI disk to a running virtual machine failed with the following error: "VolumeError: Bad volume specification". The logs reported that the LUN existed on the storage server adn the storage server was connected. vmHotplugDisk now adds a hot-plugged iSCSI disk successfully.
Clone Of: 923773
: 1066413 (view as bug list)
Environment:
Last Closed: 2014-06-09 13:27:02 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
verifying vdsm log. (deleted)
2014-02-18 13:44 UTC, Carlos Mestre González
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC
oVirt gerrit 21173 None None None Never
oVirt gerrit 21181 None None None Never
oVirt gerrit 21182 None None None Never
oVirt gerrit 21211 None None None Never

Comment 9 Eyal Edri 2014-02-10 10:15:58 UTC
moving to 3.3.2 since 3.3.1 was built and moved to QE.
please make sure to clone bugs to z-stream to make it the zstream.

Comment 11 Carlos Mestre González 2014-02-18 13:43:08 UTC
Confirm it worked in ovirt-engine-3.4.0-0.7.beta2 (vdsm version is 
vdsm-4.14.1-3.)

Attached vdsm log where vmHotplugDisk successes.

Comment 12 Carlos Mestre González 2014-02-18 13:44:38 UTC
Created attachment 864563 [details]
verifying vdsm log.

vmHotplugDisk adds hot plug disk successfully

Comment 16 errata-xmlrpc 2014-06-09 13:27:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.